﻿using System.ComponentModel.DataAnnotations;

namespace PlumbingRepairDatabaseImplement.Models
{
    public class WorkComponent
    {
        public int Id { get; set; }

        [Required]
        public int WorkId { get; set; }

        [Required]
        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Component Component { get; set; } = new();
        public virtual Work Work { get; set; } = new();
    }
}
