﻿using PlumbingRepairDataModels.Models;

namespace PlumbingRepairContracts.BindingModels
{
    public class WorkBindingModel : IWorkModel
    {
        public int Id { get; set; }
        public string WorkName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> WorkComponents { get; set; } = new();
    }
}
