﻿using PlumbingRepairContracts.Attributes;
using PlumbingRepairDataModels.Models;
using System.ComponentModel;

namespace PlumbingRepairContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("Название компонента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ComponentName { get; set; } = string.Empty;
		[Column("Цена", width: 80)]
		public double Cost { get; set; }
    }
}
